root/gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh @ 28194

Revision 28194, 1.1 KB (checked in by davidb, 6 years ago)

Changes necessary to move version of subversion used to 1.8.1

  • Property svn:executable set to *
Line 
1#!/bin/bash
2
3package=serf
4version=-1.3.1
5
6progname=$0
7
8source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
9
10prefix=$GEXTSVN_INSTALLED
11
12#export CFLAGS="-fPIC -I$prefix/include $CFLAGS"
13#export CXXFLAGS="-fPIC -I$prefix/include $CXXFLAGS"
14#export CPPFLAGS="-fPIC -I$prefix/include $CPPFLAGS"
15#export LDFLAGS="-L$prefix/lib $LDFLAGS"
16
17opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
18if [ ! -f $package$version/scons.py ] ; then
19  /bin/cp scons-local-2.3.0.tar.gz $package$version/. \
20  && (cd $package$version ; tar xvzf scons-local-2.3.0.tar.gz )
21fi
22
23#opt_run_configure $force_config $auto_config $package $version $prefix
24
25#opt_run_make $compile   $package $version
26if [ $compile = 1 ] ; then
27  (cd $package$version ; ./scons.py APR=$prefix APU=$prefix OPENSSL=$prefix PREFIX=$prefix)
28fi
29
30#opt_run_make $install   $package $version "install"
31if [ $compile = 1 ] ; then
32  (cd $package$version ; ./scons.py install)
33fi
34
35#opt_run_make $clean     $package $version "clean"
36if [ $compile = 1 ] ; then
37  (cd $package$version ; ./scons.py -c)
38fi
39
40
41opt_run_make $distclean $package $version "distclean"
42
43opt_run_tarclean $tarclean $package $version
44
45
46
47
Note: See TracBrowser for help on using the browser.